# Uses of Interface
org.eclipse.ecf.remoteservice.client.IRemoteResponseDeserializer

Packages that use IRemoteResponseDeserializer
Package
Description
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of IRemoteResponseDeserializer in org.eclipse.ecf.remoteservice.client

Fields in org.eclipse.ecf.remoteservice.client declared as IRemoteResponseDeserializer
Modifier and Type
Field
Description
`protected IRemoteResponseDeserializer`
AbstractClientContainer.`remoteResponseDeserializer`
Methods in org.eclipse.ecf.remoteservice.client that return IRemoteResponseDeserializer
Modifier and Type
Method
Description
`IRemoteResponseDeserializer`
AbstractClientContainer.`getResponseDeserializer()`
`protected IRemoteResponseDeserializer`
AbstractClientContainer.`getResponseDeserializer(IRemoteCall call, IRemoteCallable callable, Map responseHeaders)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteResponseDeserializer
Modifier and Type
Method
Description
`void`
AbstractClientContainer.`setResponseDeserializer(IRemoteResponseDeserializer resource)`
`void`
IRemoteServiceClientContainerAdapter.`setResponseDeserializer(IRemoteResponseDeserializer deserializer)`

## Uses of IRemoteResponseDeserializer in org.eclipse.ecf.remoteservice.rest.client

Classes in org.eclipse.ecf.remoteservice.rest.client that implement IRemoteResponseDeserializer
Modifier and Type
Class
Description
`class`
`XMLRemoteResponseDeserializer`
This class is a sample implementation of `IRemoteResponseDeserializer`.